# malloc_allocator.h File Reference

Go to the source code of this file.

## Classes

- class __gnu_cxx::malloc_allocator< _Tp >
    An allocator that uses malloc.

    This is precisely the allocator defined in the C++ Standard.

    - all allocation calls malloc
    - all deallocation calls free.
    More...

## Namespaces

- namespace __gnu_cxx

## Defines

- #define _MALLOC_ALLOCATOR_H

## Functions

- template<typename _Tp > bool __gnu_cxx::operator!= (const malloc_allocator< _Tp > &, const malloc_allocator< _Tp > &)
- template<typename _Tp > bool __gnu_cxx::operator== (const malloc_allocator< _Tp > &, const malloc_allocator< _Tp > &)

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file malloc_allocator.h.